function [TV]=tri_values(vertices,values, FV)

%TV    = resampled signal value on a new sphere
%FV    = sphere_tri('ico',3,100); %last argument is radius, second last is the # of vertices for recursive partitioning
%vertices = vertices of original sphere
%values = signal value

fprintf(['Resampling with # of vertices ',num2str(size(FV.vertices,1)),' \n']);
K     = 3; %k-nearest neighbor
[D I] = px_codensity(vertices',FV.vertices',1:K);
D=D';
I=I';
TV=[];

for i=1:size(D,1);

    tempD = D(i,:);
    tempI = I(i,:);
    
    zeroind = find(tempI==0);
    tempD(zeroind) = [];
    tempI(zeroind) = [];
    tempweights = tempD./sum(tempD);
    tempweights = 1 - tempweights;
    tempweights = tempweights./sum(tempweights);
    sumd = sum(tempD);
    interpolated_val = 0.0;
    
    for k=1:length(tempD)
        interpolated_val=interpolated_val+tempweights(k)*values(tempI(k));        
    end
    
    TV=[TV; interpolated_val];
end
